package net.wanji.databus.dao.mapper;

import net.wanji.databus.po.AreaDetailPOExt;
import net.wanji.databus.po.BaseAreaInfoPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author hanbing
 * @date 2023/1/12 13:24
 * @desc CrossInfoMapper
 */
@Repository
public interface BaseAreaInfoMapper {

    void updateAreaNameAndRemark(String name, String remark, Integer id, String roadName, Integer parentCode);

    void insertOne(BaseAreaInfoPO baseAreaInfoPO);

    BaseAreaInfoPO selectById(Integer id);

    void deleteById(Integer areaId);

    List<Integer> selectIdsByParentCode(Integer parentCode);

    List<BaseAreaInfoPO> selectParentPolice(Integer type);

    List<BaseAreaInfoPO> selectByParentCode(Integer parentCode);

    List<BaseAreaInfoPO> selectByType(Integer type);

    BaseAreaInfoPO selectCityPolice();

    List<AreaDetailPOExt> selectJoinDetail(Integer areaId, String crossName, Integer isSignal, Integer isStart,
                                           Integer isSend);
}
