package net.wanji.databus.dao.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import net.wanji.databus.dao.entity.CrossSchedulesPlanPO;

import java.util.Date;
import java.util.List;

/**
 * 时间表信息（调度计划关系）;(t_base_cross_schedules_plan)表
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface CrossSchedulesPlanMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertOne(CrossSchedulesPlanPO crossSchedulesPlanPO);

    List<CrossSchedulesPlanPO> selectByCrossIdAndSchedulesId(@Param("crossId") String crossId,
                                                             @Param("schedulesId") Integer schedulesId);

    CrossSchedulesPlanPO selectBySpecialDate(String crossId, Integer schedulesId, Date todayDate);

    CrossSchedulesPlanPO selectByWeekday(String crossId, Integer schedulesId, int weekday);
}
